jddayofweek
jdtofrench
Calendar Functions
PHP Manual

# jdmonthname

(PHP 4, PHP 5, PHP 7)

jdmonthname — Returns a month name

### Description

string jdmonthname ( int `$julianday` , int `$mode` )

Returns a string containing a month name. `mode` tells this function which calendar to convert the Julian Day Count to, and what type of month names are to be returned.

Calendar modes
Mode | Meaning | Values
--- | --- | ---
0 | Gregorian - abbreviated | Jan, Feb, Mar, Apr, May, Jun, Jul, Aug, Sep, Oct, Nov, Dec
1 | Gregorian | January, February, March, April, May, June, July, August, September, October, November, December
2 | Julian - abbreviated | Jan, Feb, Mar, Apr, May, Jun, Jul, Aug, Sep, Oct, Nov, Dec
3 | Julian | January, February, March, April, May, June, July, August, September, October, November, December
4 | Jewish | Tishri, Heshvan, Kislev, Tevet, Shevat, AdarI, AdarII, Nisan, Iyyar, Sivan, Tammuz, Av, Elul
5 | French Republican | Vendemiaire, Brumaire, Frimaire, Nivose, Pluviose, Ventose, Germinal, Floreal, Prairial, Messidor, Thermidor, Fructidor, Extra

### Parameters

`jday`

  The Julian Day to operate on

`calendar`

  The calendar to take the month name from

### Return Values

The month name for the given Julian Day and `calendar`.

jddayofweek
jdtofrench
Calendar Functions
PHP Manual